#include "backbuf.h"
#include <iostream.h>
#include <string.h>
#include <stdlib.h>
#include <gtk/gtk.h>


backBuf::backBuf(unsigned int maxDelay)
{
	nstor = maxDelay + 1;
	storage = new BUF_TYPE[nstor];
	memset(storage, 0, nstor*sizeof(BUF_TYPE) );
	curpos = 0;
}

backBuf::~backBuf()
{
	delete [] storage;
}

void backBuf::add(BUF_TYPE d)
{
	curpos++; if (curpos == nstor) curpos = 0;
	storage[curpos] = d;
}

BUF_TYPE backBuf::get(unsigned int Delay)
{
	g_assert(Delay <  nstor);
	int getpos = (int) curpos;
	getpos -= Delay;
	if (getpos < 0) getpos += nstor;

	g_assert(getpos >= 0 && getpos < int(nstor));
	
	return storage[getpos];
}

