void fLineIn(int); 
void fLineOut(int);

void iMixer(int); void fMixer(int);

void iPass(int); void fPass(int);

void iDistort(int); void fDistort(int);

void iReverb(int); void fReverb(int); void unReverb(int);

void fSplit(int);

void iTone(int); void fTone(int);

void iLooper(int); void fLooper(int); void unLooper(int);

void fXFader(int);

void fOctave(int); void iOctave(int); void unOctave(int);

void fRec(int);
void iRec1(int); void iRec0(int); void iRec3(int);
void unRec(int);
void getfromRec(int, short **, int *);

void fSeq(int); void iSeq(int); void unSeq(int);

void iPan(int); void fPan(int);

void iChor(int); void fChor(int); void unChor(int);

void iComp(int); void fComp(int); void unComp(int);

void iScratch(int); void fScratch(int); void unScratch(int);

void fMult(int); void iMult(int);

// reverbBuffer holds data for Reverb.  For simplicity,
// it only accepts and grants data in units of one chunk.
// so your reverb delay will be a multiple of chunk size.
// works as a circular buffer, adds at chunk number cursor
class reverbBuffer
{
public:
	reverbBuffer(int chunks);
	int numChunks();
	void addChunk(char * chunk);
	char* getChunk(int delay);
	~reverbBuffer();
private:
	char * data;
	int nChunks;
	int nCursor;
};
